Summary:	KDE Interactive Geometry
Name:		kig
Version:	17.08.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	boost-devel
BuildRequires:	kf5archive-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5crash-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5emoticons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5itemmodels-devel
BuildRequires:	kf5parts-devel
BuildRequires:	kf5texteditor-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5XmlPatterns)
Conflicts:	kde5-l10n < 17.04

%description
Kig is a program for use in math classes in high school, to allow
students to interactively explore geometric concepts.

%files -f %{name}.lang
%doc COPYING COPYING.DOC AUTHORS ChangeLog
%{_kde5_applicationsdir}/org.kde.kig.desktop
%{_kde5_bindir}/kig
%{_kde5_bindir}/pykig.py
%{_kde5_datadir}/katepart5/syntax/python-kig.xml
%{_kde5_datadir}/kig/
%{_kde5_iconsdir}/*/*/apps/kig.*
%{_kde5_iconsdir}/*/*/mimetypes/application-x-kig.*
%{_kde5_mandir}/man1/kig.1.*
%{_kde5_services}/kig_part.desktop
%{_kde5_xmlguidir}/kig/*.rc
%{_appdatadir}/org.kde.kig.appdata.xml
%{_qt5_plugindir}/kigpart.so

#----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

# To avoid conflicts with kde-l10n
rm -rf %{buildroot}%{_kde5_mandir}/*/man1/*

%find_lang %{name} kfile_drgeo kfile_kig %{name}.lang --with-kde --with-html
%kf5locales_fix %{name}.lang


%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (bd45012) New version 17.08.2

* Tue Jul 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.3-1
- (5c72132) New version 17.04.3

* Wed Jun 28 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.2-1
- (b296ef3) Merge locales from kde5-l10n
- (Andrey Bondrov: b57a930) New version 17.04.2

* Sat Mar 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.3-1
- (357bd68) Update files (katepart -> katepart5)
- (Andrey Bondrov: a03e278) New version 16.12.3

* Tue Feb 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.2-1
- (8590bd5) New version 16.12.2

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.1-2
- (e24bca0) MassBuild#1230: Increase release tag

* Sun Jan 29 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.1-1
- (749a7d4) Update files
- (Andrey Bondrov: b17d1dd) New version 16.12.1

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.2-2
- (e73e7b6) MassBuild#1212: Increase release tag

* Sat Oct 29 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.2-1
- (64022b5) New version 16.08.2

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.1-2
- (1643926) MassBuild#1169: Increase release tag

* Tue Sep 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.1-1
- (081303b) Build requires pkgconfig(Qt5Test)
- (Andrey Bondrov: cb5de07) New version 16.08.1
- (Andrey Bondrov: cb5de07) Switch to Qt5/KF5

* Mon Nov 17 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.14.3-1
- (1f4bb53) LOG New version 4.14.3 (sync spec and patches with Cooker)

* Sun Jul 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.13.3-1
- (a872b43) LOG New version 4.13.3 (sync spec and patches with Cooker)

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 4.13.2-2
- (e7ccf2d) MassBuild#440: Increase release tag

* Mon Jun 16 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.13.2-1
- (6e8f66d) LOG New version 4.13.2 (sync spec and patches with Cooker)

* Wed Apr 09 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.12.4-1
- (4817d65) LOG New version 4.12.4 (sync spec and patches with Cooker)

* Thu Mar 13 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.12.3-1
- (9e8980e) LOG New version 4.12.3 (sync spec and patches with Cooker)

* Wed Dec 18 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.4-1
- (1fc8196) LOG New version 4.11.4

* Thu Nov 14 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.3-1
- (deff295) LOG New version 4.11.3

* Fri Oct 25 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.2-1
- (a9af703) LOG New version 4.11.2

* Tue Jul 09 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.10.5-1
- (3218547) LOG New version 4.10.5

* Thu Jun 13 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.10.4-1
- (e4c3a4d) LOG New version 4.10.4

* Tue May 21 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.10.3-1
- (dab86a8) LOG New version 4.10.3 (sync with Cooker)

* Sat Jan 26 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.5-1
- (9ff407a) LOG New version 4.9.5

* Thu Dec 06 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.4-1
- (86a3e6d) LOG New version 4.9.4

* Thu Nov 08 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.3-1
- (4a11b33) LOG New version 4.9.3


